Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class PrintSettings

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.options.SystemOption
              org.openide.options.ContextSystemOption
                  org.openide.text.PrintSettings

All Implemented Interfaces:
  BeanContextProxy, Externalizable, Serializable, HelpCtx.Provider

    public final class PrintSettings

extends ContextSystemOption

Settings for output window.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PrintSettings.AlignmentEditor` Property editor for alignment properties
`static class` | `PrintSettings.PageFormatEditor` Property editor for PageFormat instances

Field Summary
`static int` | `CENTER` Constant for center position of page header.
`static int` | `LEFT` Constant for left position of page header.
`static String` | `PROP_FOOTER_ALIGNMENT` Property name of the footer alignment property
`static String` | `PROP_FOOTER_FONT` Property name of the footer font property
`static String` | `PROP_FOOTER_FORMAT` Property name of the footer format property
`static String` | `PROP_HEADER_ALIGNMENT` Property name of the header alignment property
`static String` | `PROP_HEADER_FONT` Property name of the header font property
`static String` | `PROP_HEADER_FORMAT` Property name of the header format property
`static String` | `PROP_LINE_ASCENT_CORRECTION` Property name of the line ascent correction property
`static String` | `PROP_PAGE_FORMAT` Property name of the wrap property
`static String` | `PROP_WRAP` Property name of the wrap property
`static int` | `RIGHT` Constant for right position of page header.

Fields inherited from class org.openide.options.ContextSystemOption
`beanContext`

Constructor Summary
`PrintSettings()`

Method Summary
`String` | `displayName()`
`int` | `getFooterAlignment()`
`Font` | `getFooterFont()`
`String` | `getFooterFormat()`
`int` | `getHeaderAlignment()`
`Font` | `getHeaderFont()`
`String` | `getHeaderFormat()`
`HelpCtx` | `getHelpCtx()`
`float` | `getLineAscentCorrection()` Getter for lineAscentCorrection property.
`PageFormat` | `getPageFormat()` Deprecated. Use `getPageFormat(PrinterJob)` instead.
`static PageFormat` | `getPageFormat(PrinterJob pj)`
`boolean` | `getWrap()`
`void` | `readExternal(ObjectInput obtis)` Deexetrnalizes this SystemOption
`void` | `setFooterAlignment(int alignment)`
`void` | `setFooterFont(Font f)`
`void` | `setFooterFormat(String s)`
`void` | `setHeaderAlignment(int alignment)`
`void` | `setHeaderFont(Font f)`
`void` | `setHeaderFormat(String s)`
`void` | `setLineAscentCorrection(float correction)` Setter for lineAscentCorrection property.
`void` | `setPageFormat(PageFormat pf)` sets page format
`void` | `setWrap(boolean b)`
`void` | `writeExternal(ObjectOutput obtos)` Externalizes this SystemOption

Methods inherited from class org.openide.options.ContextSystemOption
`addOption, getBeanContextProxy, getOptions, initialize, removeOption`

Methods inherited from class org.openide.options.SystemOption
`clearSharedData, firePropertyChange, getName, isReadExternal, isWriteExternal, reset`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, getLock, getProperty, hashCode, putProperty, putProperty, removeNotify, removePropertyChangeListener, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CENTER

    public static final int CENTER

  Constant for center position of page header.

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Constant for right position of page header.

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Constant for left position of page header.

  See Also:
    Constant Field Values

### PROP_PAGE_FORMAT

    public static final String PROP_PAGE_FORMAT

  Property name of the wrap property

  See Also:
    Constant Field Values

### PROP_WRAP

    public static final String PROP_WRAP

  Property name of the wrap property

  See Also:
    Constant Field Values

### PROP_HEADER_FORMAT

    public static final String PROP_HEADER_FORMAT

  Property name of the header format property

  See Also:
    Constant Field Values

### PROP_FOOTER_FORMAT

    public static final String PROP_FOOTER_FORMAT

  Property name of the footer format property

  See Also:
    Constant Field Values

### PROP_HEADER_FONT

    public static final String PROP_HEADER_FONT

  Property name of the header font property

  See Also:
    Constant Field Values

### PROP_FOOTER_FONT

    public static final String PROP_FOOTER_FONT

  Property name of the footer font property

  See Also:
    Constant Field Values

### PROP_HEADER_ALIGNMENT

    public static final String PROP_HEADER_ALIGNMENT

  Property name of the header alignment property

  See Also:
    Constant Field Values

### PROP_FOOTER_ALIGNMENT

    public static final String PROP_FOOTER_ALIGNMENT

  Property name of the footer alignment property

  See Also:
    Constant Field Values

### PROP_LINE_ASCENT_CORRECTION

    public static final String PROP_LINE_ASCENT_CORRECTION

  Property name of the line ascent correction property

  See Also:
    Constant Field Values

Constructor Detail

### PrintSettings

    public PrintSettings()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput obtos)
                       throws IOException

  Externalizes this SystemOption

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `ContextSystemOption`
  Parameters:
    `obtos` -
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput obtis)
                      throws IOException,
                             ClassNotFoundException

  Deexetrnalizes this SystemOption

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `ContextSystemOption`
  Parameters:
    `obtis` -
  Throws:
    `IOException`
    `ClassNotFoundException`

### displayName

    public String displayName()

  Specified by:
    `displayName` in class `SystemOption`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Overrides:
    `getHelpCtx` in class `SystemOption`

### getPageFormat

    public static PageFormat getPageFormat(PrinterJob pj)

  Returns:
    an instance of PageFormat The returned page format is either previously set by PageSetupAction or is acquired as a default PageFormat from supported PrinterJob

### getPageFormat

    public PageFormat getPageFormat()

  Deprecated. Use `getPageFormat(PrinterJob)` instead.

### setPageFormat

    public void setPageFormat(PageFormat pf)

  sets page format

### getWrap

    public boolean getWrap()

### setWrap

    public void setWrap(boolean b)

### getHeaderFormat

    public String getHeaderFormat()

### setHeaderFormat

    public void setHeaderFormat(String s)

### getFooterFormat

    public String getFooterFormat()

### setFooterFormat

    public void setFooterFormat(String s)

### getHeaderFont

    public Font getHeaderFont()

### setHeaderFont

    public void setHeaderFont(Font f)

### getFooterFont

    public Font getFooterFont()

### setFooterFont

    public void setFooterFont(Font f)

### getHeaderAlignment

    public int getHeaderAlignment()

### setHeaderAlignment

    public void setHeaderAlignment(int alignment)

### getFooterAlignment

    public int getFooterAlignment()

### setFooterAlignment

    public void setFooterAlignment(int alignment)

### getLineAscentCorrection

    public float getLineAscentCorrection()

  Getter for lineAscentCorrection property.

### setLineAscentCorrection

    public void setLineAscentCorrection(float correction)

  Setter for lineAscentCorrection property.

  Parameters:
    `correction` - the correction
  Throws:
    `IllegalArgumentException` - if `correction` is less than 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.